Skip to main content
GET
/
api-keys
List API keys
curl --request GET \
  --url https://api.pulsewave.dev/v1/api-keys \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "id": "key_4m8n2q",
      "object": "api_key",
      "name": "<string>",
      "scopes": [
        "<string>"
      ],
      "last_used_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true
}

Authorizations

Authorization
string
header
required

All requests must include Authorization: Bearer <api_key>. Keys are prefixed pw_live_ or pw_test_. See Authentication.

Query Parameters

limit
integer<int32>
default:20

Number of results to return, between 1 and 100

Required range: 1 <= x <= 100
starting_after
string

Cursor for pagination. Pass the id of the last object from the previous page.

Response

A page of API keys

object
enum<string>
Available options:
list
data
object[]
has_more
boolean